<%= render 'head' %>
<h1>Library Staff Recognitions</h1>
<% @recognitions.each do |recognition| %>
  <div class="le-fake-row shadow-sm">
    <div class="le-fake-cell">
      <p class="shrinky-dink"><b>To:</b> <%= recognition.employee.display_name %></p>
      <p class="shrinky-dink"><b>From:</b> <%= recognition.anonymous ? 'Anonymous' : recognition.user.full_name.titlecase %></p>
			<div class="push-in-a-little-bit">
        <b><%= LIBRARY_VALUES[ recognition.library_value ] %></b><br>
        <%= recognition.description.truncate(200, separator: '…') %>
			</div>
    </div>
    <div class="le-fake-cell">
      <div class="btn-toolbar" role="toolbar" aria-label="Toolbar with button groups">
        <div class="btn-group" role="group" aria-label="First group">
          <%= link_to 'View', recognition, class: 'btn btn-outline-secondary btn-sm'%>
          <% if can_administrate?(recognition) %>
            <%= link_to 'Edit', edit_recognition_path(recognition), class: 'btn btn-outline-secondary btn-sm' %>
            <%= link_to 'Delete', recognition, method: :delete, data: { confirm: 'Are you sure?' }, class: 'btn btn-outline-secondary btn-sm' %>
          <% end %>
        </div>
      </div>
    </div>
  </div>
<% end %>

<!-- note the == is the same as 'raw' -->
<%== pagy_bootstrap_nav(@pagy) %>
